Bug 629547 - Kernel update kernel-PAE-2.6.34.6-47 breaks all video after grub
Summary: Kernel update kernel-PAE-2.6.34.6-47 breaks all video after grub
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-02 09:51 UTC by SJM
Modified: 2011-06-28 13:33 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-28 13:33:46 UTC


Attachments (Terms of Use)
Smolt profile for Dell E6410 (7.33 KB, text/plain)
2010-09-06 13:24 UTC, Ludovico Fischer
no flags Details
/var/log/messages (61.76 KB, text/plain)
2010-09-06 14:05 UTC, Ludovico Fischer
no flags Details
/dev/mem dump for Dell E6410 (64.00 KB, text/plain)
2010-09-06 16:22 UTC, Ludovico Fischer
no flags Details
dmesg output on Dell E6410 (78.48 KB, text/plain)
2010-09-06 16:38 UTC, Ludovico Fischer
no flags Details
/var/log/Xorg.0.log on Dell 6410 (32.65 KB, text/plain)
2010-09-06 16:45 UTC, Ludovico Fischer
no flags Details
intel_reg_dump (not working) on Dell E6410 (8.78 KB, text/plain)
2010-09-14 20:31 UTC, Ludovico Fischer
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 29278 None None None Never

Description SJM 2010-09-02 09:51:46 UTC
Description of problem:
When booting into kernel-PAE-2.6.34.6-47 with default Fedora 13 kernel parameters the notebook screen display; this is fore the entire boot process post grub.

When "nomodeset" is passed as a boot parameter the boot process is viable (not the graphic intensive plymouth due to nomodeset), however it appears to "Freeze" towards the end of the low-vis plymouth process with a flicker of the laptop screen. This appears to be the result of X starting up. At this point I can Alt-F3 and switch to a virtual text console.



Version-Release number of selected component (if applicable):
2.6.34.6-47

How reproducible:
Every time

Steps to Reproduce:
1. Update to kernel-PAE-2.6.34.6-47
2. Reboot with standard fedora 13 boot parameters (including kernel mode setting)

Actual results:
1. No laptop display after grub

Expected results:
2. Normal boot + display


Additional info:
The following kernels work fine:
2.6.33.8-149.fc13.i686.PAE
2.6.33.6-147.fc13.i686.PAE

Dell E4310 (With intel integrated video)

00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
00:19.0 Ethernet controller: Intel Corporation 82577LM Gigabit Network Connection (rev 05)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1b.0 Audio device: Intel Corporation Device 3b57 (rev 05)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 05)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 05)
00:1c.2 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 3 (rev 05)
00:1c.3 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 4 (rev 05)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a5)
00:1f.0 ISA bridge: Intel Corporation 5 Series/3400 Series Chipset LPC Interface Controller (rev 05)
00:1f.2 RAID bus controller: Intel Corporation Mobile 82801 SATA RAID Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 05)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 05)
02:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)
03:00.0 SD Host controller: Ricoh Co Ltd Device e822 (rev 01)
3f:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 02)
3f:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 02)
3f:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 02)
3f:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 02)
3f:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 02)
3f:02.3 Host bridge: Intel Corporation Core Processor Reserved (rev 02)

Comment 1 SJM 2010-09-02 10:00:17 UTC
Can the Priority / Severity be increased

Comment 2 Chuck Ebbert 2010-09-03 11:22:13 UTC
Works fine here with that same adapter.

Comment 3 SJM 2010-09-03 12:03:10 UTC
It works when the notebook is docked (monitor attached to docking station)!
Seems to be an issue initialising the LCD panel...

Chuck - what model notebook do you have?

Comment 4 Chuck Ebbert 2010-09-04 12:34:00 UTC
Oh, yours is the mobile version where mine is a desktop connected to VGA. So it must be the panel init that's the problem.

Comment 5 SJM 2010-09-04 22:25:49 UTC
I just read my original submission; those late night typo's didn't help. To summerize the issue

1. I have a Dell E4310 notebook, Intel i5 CPU/intel graphics
2. After kernel-PAE-2.6.34.6-47 is installed the following occurs:

Once grub calls the kernel, the LCD monitor on notebook remains blank (although the back light comes on). There is no display of any sort.

After passing nomodeset to the kernel I do get a display (in text) however once xorg attempts to start the LCD panel display "locks up" - I never see GDM.

This isn't an issue when the laptop is docked into a docking station with an external monitor.

Kernels older than kernel-PAE-2.6.34.6-47 do not have this issue, in fact I'm typing this on 2.6.33.8-149.fc13.i686.PAE

Comment 6 Ludovico Fischer 2010-09-06 13:23:39 UTC
I can confirm exactly the same symptoms with the same Intel adapter on my Dell E6410 notebook.

Comment 7 Ludovico Fischer 2010-09-06 13:24:45 UTC
Created attachment 443300 [details]
Smolt profile for Dell E6410

Comment 8 Ludovico Fischer 2010-09-06 14:05:17 UTC
Created attachment 443308 [details]
/var/log/messages

As per wiki, boot parameters
drm.debug=14
log_buf_len=16M

Unfortunately, I cannot seem to have the display work even if I try to switch to VT, so that's all I can offer.

Comment 9 Ludovico Fischer 2010-09-06 16:22:01 UTC
Created attachment 443323 [details]
/dev/mem dump for Dell E6410

Ran 
dd if=/dev/mem bs=64k skip=12 count=1
Blind typing achievement.

Comment 10 Ludovico Fischer 2010-09-06 16:38:31 UTC
Created attachment 443330 [details]
dmesg output  on Dell E6410

boot options: 
drm.dbug=14 log_buf_len=16M

Comment 11 Ludovico Fischer 2010-09-06 16:45:07 UTC
Created attachment 443331 [details]
/var/log/Xorg.0.log on Dell 6410

Comment 12 Kyle McMartin 2010-09-06 18:32:35 UTC
Does it occasionally work? I see something similar on my x201s which fails to display something every few boots, but which works most of the time. If I cycle power a few times usually it will eventually come up.

Comment 13 Ludovico Fischer 2010-09-06 23:25:47 UTC
(In reply to comment #12)
Out of five or six boots, the screen has always been totally blank.

Comment 14 Kyle McMartin 2010-09-07 01:20:22 UTC
Yeah, I've got the same somewhat frustrating problem, but haven't had the chance to debug fully yet (it's reproduceable all the way up to 2.6.36-rc3, which is a total bummer.)

Anyway, if I edit my grub config to have the splashimage off and set the timeout to 3 seconds, things seem to work much more reliably (and remove quiet & rhgb from the options.)

I'm on a Lenovo x201s, it seems you've got a Dell? It sounds like because of the variance in this it might be related to the BIOS setup or something.

--Kyle

Comment 15 Ludovico Fischer 2010-09-10 09:40:19 UTC
Removing the background image in Grub and disabling rhgb do not improve things on my side.

Comment 16 Ludovico Fischer 2010-09-10 09:58:04 UTC
This problem might be related to Intel eDP support; see this bug:
http://bugs.freedesktop.org/show_bug.cgi?id=28070

Comment 17 Chuck Ebbert 2010-09-13 20:37:43 UTC
(In reply to comment #16)
> This problem might be related to Intel eDP support; see this bug:
> http://bugs.freedesktop.org/show_bug.cgi?id=28070

It's not that, that fix is already in our kernel.

Comment 18 Ludovico Fischer 2010-09-14 20:31:48 UTC
Created attachment 447319 [details]
intel_reg_dump (not working) on Dell E6410

Comment 19 Ludovico Fischer 2010-09-14 20:34:26 UTC
> > This problem might be related to Intel eDP support; see this bug:
> > http://bugs.freedesktop.org/show_bug.cgi?id=28070
> 
> It's not that, that fix is already in our kernel.

Then it might be this (newer) bug:
http://bugs.freedesktop.org/show_bug.cgi?id=29278

I might check if the fixes for that help, if I manage to find the time to test it on my machine.

Comment 20 Patrice Poly 2010-09-15 14:33:02 UTC
I experienced something similar :

did a fresh install from DVD, then at first boot ( which went fine ) , I did a 'yum update' . Yum updated about 700 packages, including the latest kernel.

At this point after reboot, my regular user could,'t startx . The screen would turn blank, but CTRL-ALT-F1 allowed me to see what happened , and there I could see a lot of repeated "No protocol specified" messages, until I killed X from another console.

After a discussion on IRC, I tried the following :

while my regular user couldn't startx, root could.
A fresh, clean new user can startx.

After several unsuccessful fix attempts, I tried the following :

su -c 'xauth -b quit'
rm ~[myuser]/.Xauthority

and, voila, I could start X just fine again.

For what its worth....

Comment 21 SJM 2010-09-16 10:25:14 UTC
Patrice - thanks for your reply, however in this case it appears we cannot even see the early (any) stages of booting the actual kernel - if and only if I'm using the internal laptop display. If I'm using a external monitor via docking station it works perfectly fine.

How does one debug this problem?
What changed between 2.6.33.8-149 (last stable released kernel that works) and later kernels including 2.6.34.6-47, it seems many Dell E series notebooks are affected.

Comment 22 SJM 2010-09-16 10:51:16 UTC
I'm wondering if the affected kernel has this http://lists.freedesktop.org/archives/intel-gfx/2010-May/006948.html patch included (which may cause a regression)

Comment 23 Adam Williamson 2010-10-13 20:07:46 UTC
could someone please test this proposed patch from jesse on the upstream bug?

https://bugs.freedesktop.org/show_bug.cgi?id=29278#c101



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 24 Bug Zapper 2011-05-31 14:43:41 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 25 Bug Zapper 2011-06-28 13:33:46 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.